## rlplot 0.99.14

=== Makefile ===
# Makefile, Copyright 2002-2004 R.Lackner
# 
#
#    This file is part of RLPlot.
#
#    RLPlot is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    RLPlot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with RLPlot; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# This Makefile assumes that you installed Trolltechs QT in /usr/local/qt
#   visit: http://www.trolltech.com for download and licence information
#
QTDIR = /usr/lib/qt3
CC = g++
#CFLAGS = -I$(QTDIR)/include -pipe -O2 -g
CFLAGS = -I$(QTDIR)/include -pipe -O2
LIBS = -L$(QTDIR)/lib -L/usr/X11R6/lib
QTLIBS = -lqt-mt
X11LIBS = -lX11 -lm
SRCDIR = ./

GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
 Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o

OBJECTS = moc_QT_Spec.o QT_Spec.o Output.o Utils.o UtilObj.o\
 TheDialog.o rlplot.o Fileio.o PropertyDlg.o spreadwi.o\
 Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o

all:
	make rlplot QTDIR=$(QTDIR) 
	make exprlp 
	make clean

rlplot: $(OBJECTS)
	$(CC) $(LIBS) -o rlplot $(OBJECTS) $(QTLIBS) $(X11LIBS)

exprlp: $(GENOBJ)
	$(CC) -o exprlp $(GENOBJ)

clean:
	rm -f *.o *~
	rm moc_QT_Spec.cpp

####### Compile

moc_QT_Spec.o: moc_QT_Spec.cpp $(SRCDIR)QT_Spec.h
	$(CC) $(CFLAGS) -o $@ -c $<

moc_QT_Spec.cpp: $(SRCDIR)QT_Spec.h
	$(QTDIR)/bin/moc $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp

mfcalc.o: $(SRCDIR)mfcalc.cpp
	$(CC) $(CFLAGS) -o $@ -c $<

rlp_math.o: $(SRCDIR)rlp_math.cpp
	$(CC) $(CFLAGS) -o $@ -c $<

#$(SRCDIR)mfcalc.cpp: $(SRCDIR)mfcalc.y
#	bison -l -o $@ $<

exprlp.o: $(SRCDIR)exprlp.cpp
	$(CC) $(CFLAGS) -o $@ -c $<

QT_Spec.o: $(SRCDIR)QT_Spec.cpp $(SRCDIR)QT_Spec.h $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

Output.o: $(SRCDIR)Output.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

Utils.o: $(SRCDIR)Utils.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

UtilObj.o: $(SRCDIR)UtilObj.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

TheDialog.o: $(SRCDIR)TheDialog.cpp $(SRCDIR)TheDialog.h $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

rlplot.o: $(SRCDIR)rlplot.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

Fileio.o: $(SRCDIR)Fileio.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

PropertyDlg.o: $(SRCDIR)PropertyDlg.cpp $(SRCDIR)rlplot.h $(SRCDIR)TheDialog.h
	$(CC) $(CFLAGS) -o $@ -c $<

spreadwi.o: $(SRCDIR)spreadwi.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

Export.o: $(SRCDIR)Export.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

PlotObs.o: $(SRCDIR)PlotObs.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

ODbuttons.o: $(SRCDIR)ODbuttons.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

Axes.o: $(SRCDIR)Axes.cpp $(SRCDIR)rlplot.h
	$(CC) $(CFLAGS) -o $@ -c $<

## rlplot 1.1.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2004 R.Lackner
+# Makefile, Copyright 2002-2006 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -30,11 +30,12 @@
 SRCDIR = ./
 
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
- Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o
+ Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
 
 OBJECTS = moc_QT_Spec.o QT_Spec.o Output.o Utils.o UtilObj.o\
  TheDialog.o rlplot.o Fileio.o PropertyDlg.o spreadwi.o\
- Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o
+ Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o use_gui.o\
+ reports.o
 
 all:
 	make rlplot QTDIR=$(QTDIR) 
@@ -110,9 +111,15 @@
 Axes.o: $(SRCDIR)Axes.cpp $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
+no_gui.o: $(SRCDIR)no_gui.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
+
+use_gui.o: $(SRCDIR)use_gui.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
+
+reports.o: $(SRCDIR)reports.cpp $(SRCDIR)rlplot.h
+	$(CC) $(CFLAGS) -o $@ -c $<
 
 
 
 
-
-

## rlplot 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2006 R.Lackner
+# Makefile, Copyright 2002-2007 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -20,14 +20,24 @@
 # This Makefile assumes that you installed Trolltechs QT in /usr/local/qt
 #   visit: http://www.trolltech.com for download and licence information
 #
-QTDIR = /usr/lib/qt3
 CC = g++
-#CFLAGS = -I$(QTDIR)/include -pipe -O2 -g
-CFLAGS = -I$(QTDIR)/include -pipe -O2
-LIBS = -L$(QTDIR)/lib -L/usr/X11R6/lib
-QTLIBS = -lqt-mt
 X11LIBS = -lX11 -lm
 SRCDIR = ./
+
+QT3DIR = /usr/lib/qt-3.3
+QT3MOC = /usr/lib/qt-3.3/bin/moc
+MOC3FLAGS =
+QT3CFLAGS = "-I$(QT3DIR)/include -pipe -O2"
+QT3H = QT3_Spec.h
+QT3LIBS = "-L$(QT3DIR)/lib -L/usr/X11R6/lib -lqt-mt"
+
+QT4DIR = /usr/lib/qt4
+QT4MOC = /usr/lib/qt4/bin/moc-qt4
+MOC4FLAGS = "MOCFLAGS=-DQT_VERSION=0x040000"
+QT4CFLAGS = "-I/usr/include/Qt -pipe -O2"
+QT4H = QT_Spec.h
+QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui -lQtNetwork"
+
 
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
  Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
@@ -38,9 +48,14 @@
  reports.o
 
 all:
-	make rlplot QTDIR=$(QTDIR) 
-	make exprlp 
-	make clean
+	make Qt4
+	make exprlp
+
+Qt4:
+	make rlplot QTDIR=$(QT4DIR) MOC=$(QT4MOC) CFLAGS=$(QT4CFLAGS) QTH=$(QT4H) $(MOC4FLAGS) LIBS=$(QT4LIBS)
+
+Qt3:
+	make rlplot QTDIR=$(QT3DIR) MOC=$(QT3MOC) CFLAGS=$(QT3CFLAGS) QTH=$(QT3H) $(MOC3FLAGS) LIBS=$(QT3LIBS)
 
 rlplot: $(OBJECTS)
 	$(CC) $(LIBS) -o rlplot $(OBJECTS) $(QTLIBS) $(X11LIBS)
@@ -58,7 +73,8 @@
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 moc_QT_Spec.cpp: $(SRCDIR)QT_Spec.h
-	$(QTDIR)/bin/moc $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp
+#	$(QTDIR)/bin/moc-qt4 $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp -DQT_VERSION=0x040000
+	$(MOC) $(SRCDIR)$(QTH) -o moc_QT_Spec.cpp $(MOCFLAGS)
 
 mfcalc.o: $(SRCDIR)mfcalc.cpp
 	$(CC) $(CFLAGS) -o $@ -c $<

=== debian/changelog ===
rlplot (1.4-3) unstable; urgency=low

  * QA upload.
  * New patch remove-linux-fs-h-requirement.patch to fix build on non-Linux
    platforms.
  * New patch do-not-call-free-on-arrays.patch which removes two calls to
    free with an array as the argument.
  * debian/control:
    + Add ${misc:Depends}, fixing lintian warning.
    + Improve short description.
  * debian/rules: Use dh_install to copy the binaries.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 00:16:58 +0000

rlplot (1.4-2) unstable; urgency=low

  * QA upload.
    + Orphaned, so set maintainer to QA group.
  * New patch fix-ftbfs-with-gold.patch from Ubuntu to fix FTBFS with gold or
    --no-add-needed. (Closes: #556322)
  * New patch fix-ftbfs-with-qt4.7.patch from Ubuntu which replaces 'QString
    foo(0);' with 'QString foo;' to fix FTBFS with Qt 4.7.
    (Closes: #618048, #610150)
  * Clear executable bit on /usr/share/pixmaps/RLPlot.xpm, fixing lintian
    warning.
  * debian/rules: Rewrite to use dh.
  * debian/copyright: Update to point to GPL-2; update copyright holders and
    years.
  * Don't package upstream README - debian/copyright has the licence
    information, and the details about how to build it aren't relevant to
    those who have installed a binary package.
  * debian/rlplot.1: Fix typo; fix hyphens to be dashes (fixes lintian
    warning).
  * debian/rlplot.desktop: Remove deprecated Encoding field.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2011 06:41:40 +0000

rlplot (1.4-1) unstable; urgency=low

  * New upstream release
  * Fixes to lintian warnings
  * Fixes to repeat build problem (Closes: #442721)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sun, 16 Sep 2007 21:33:38 +0100

rlplot (1.3-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Mon,  9 Apr 2007 00:12:35 +0100

rlplot (1.2-1) unstable; urgency=low

  * New upstream release (Closes: #408935)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Mon, 29 Jan 2007 19:31:26 +0000

rlplot (1.1.2-2) unstable; urgency=low

  * Added binary-indep target to rules file (Closes: #395742)
  * Added .desktop file and icon (thanks to Vassilis Pandis) (Closes: #375768)
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sat, 11 Nov 2006 21:09:11 +0000

rlplot (1.1.2-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jamesmstone@gmail.com>  Sat, 27 May 2006 21:44:40 +0100

rlplot (1.1-1.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file. closes: #358286

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 26 May 2006 20:24:18 +0200

rlplot (1.1-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Sun,  5 Mar 2006 13:11:52 +0000

rlplot (1.0-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 16 Sep 2005 21:08:37 +0100

rlplot (0.99.14-2) unstable; urgency=low

  * Rebuild due to new version of libqt3-mt. closes: #327960
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Wed, 14 Sep 2005 15:41:17 +0100

rlplot (0.99.14-1) unstable; urgency=low

  * New upstream release
  * Removed build-depends on libstdc++5-3.3-dev. 
  * Upstream change to TheDialog.cpp. closes: #288411
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Tue, 15 Feb 2005 16:58:11 +0000

rlplot (0.99.12-1) unstable; urgency=low

  * New upstream release
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Wed, 22 Dec 2004 16:05:26 +0000

rlplot (0.99.9-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file since this release is built from tarball 0.99.9b
    not CVS
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Sat,  9 Oct 2004 13:09:10 +0100

rlplot (0.99.7-2) unstable; urgency=low

  * Remove libc6 build dependency. Closes: #267871
  * Updated copyright file to reflect fact that source code was from CVS not
  tarball.
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 27 Aug 2004 23:27:05 +0100

rlplot (0.99.7-1) unstable; urgency=low

  * New upstream release. Numbering system now in line with upstream.
  * Upload sponsored by Matthew Palmer <mpalmer@debian.org>

 -- James Stone <jmstone@dsl.pipex.com>  Tue, 10 Aug 2004 16:47:51 +0100

rlplot (0.99.4-1) unstable; urgency=low

  * New upstream release

 -- James Stone <jmstone@dsl.pipex.com>  Thu,  1 Jul 2004 00:49:35 +0100

rlplot (0.99.3-1) unstable; urgency=low

  * Initial Release. closes: #237116

 -- James Stone <jmstone@dsl.pipex.com>  Fri, 16 Apr 2004 20:58:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	# Override incorrect (for debian) values in upstream Makefile:
	make QT4DIR=/usr/share/qt4 \
	     QT4MOC=/usr/share/qt4/bin/moc \
	     QT4CFLAGS='"-I/usr/include/qt4/Qt -I/usr/include/qt4 -pipe -O2"'

override_dh_install:
	dh_install rlplot exprlp usr/bin
	dh_install RLPlot.xpm usr/share/pixmaps
	# Shouldn't be executable:
	chmod a-x debian/rlplot/usr/share/pixmaps/RLPlot.xpm
	dh_install debian/rlplot.desktop usr/share/applications

override_dh_installman:
	dh_installman debian/rlplot.1
	dh_link usr/share/man/man1/rlplot.1 usr/share/man/man1/exprlp.1

override_dh_auto_clean:
	# Upstream's Makefile tries to rm moc_QT_Spec.cpp without -f in "clean"
	# which will fail if that file doesn't exist, so just reimplement it
	# here and also remove the binaries:
	rm -f *.o *~ moc_QT_Spec.cpp rlplot exprlp

## rlplot 1.5

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile, Copyright 2002-2007 R.Lackner
+# Makefile, Copyright 2002-2008 R.Lackner
 # 
 #
 #    This file is part of RLPlot.
@@ -17,28 +17,43 @@
 #    along with RLPlot; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-# This Makefile assumes that you installed Trolltechs QT in /usr/local/qt
-#   visit: http://www.trolltech.com for download and licence information
 #
 CC = g++
 X11LIBS = -lX11 -lm
 SRCDIR = ./
 
+#######
+#######   Declarations for Qt3
 QT3DIR = /usr/lib/qt-3.3
 QT3MOC = /usr/lib/qt-3.3/bin/moc
 MOC3FLAGS =
 QT3CFLAGS = "-I$(QT3DIR)/include -pipe -O2"
 QT3H = QT3_Spec.h
 QT3LIBS = "-L$(QT3DIR)/lib -L/usr/X11R6/lib -lqt-mt"
+#
+#   If above declarations don't work for Qt3 try the following ...
+#QT3DIR = /usr/share/qt-3
+#QT3DIR = /usr/share/qt3
+#QT3MOC = /usr/share/qt-3/bin/moc
+#QT3MOC = /usr/share/qt3/bin/moc
 
+#######
+#######   Declarations for Qt4
 QT4DIR = /usr/lib/qt4
 QT4MOC = /usr/lib/qt4/bin/moc-qt4
 MOC4FLAGS = "MOCFLAGS=-DQT_VERSION=0x040000"
 QT4CFLAGS = "-I/usr/include/Qt -pipe -O2"
 QT4H = QT_Spec.h
-QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui -lQtNetwork"
+QT4LIBS = "-L$(QT4DIR)/lib -L/usr/X11R6/lib -lQtCore -lQtGui"
+#
+#   If above declarations don't work for Qt4 try the following ...
+#QT4DIR = /usr/share/qt4
+#QT4MOC = /usr/share/qt4/bin/moc
+#QT4MOC = /usr/lib/qt4/bin/moc
+#QT4CFLAGS = "-I/usr/include/qt4/Qt -I/usr/include/qt4 -pipe -O2"
+#QT4CFLAGS = "-I/usr/lib/qt4/include -I/usr/lib/qt4/include/Qt -pipe -O2"
 
-
+#######
 GENOBJ = exprlp.o rlplot.o Output.o Utils.o UtilObj.o\
  Fileio.o Export.o PlotObs.o Axes.o mfcalc.o rlp_math.o no_gui.o
 
@@ -47,6 +62,7 @@
  Export.o PlotObs.o Axes.o ODbuttons.o mfcalc.o rlp_math.o use_gui.o\
  reports.o
 
+#######
 all:
 	make Qt4
 	make exprlp
@@ -65,7 +81,9 @@
 
 clean:
 	rm -f *.o *~
-	rm moc_QT_Spec.cpp
+	rm -f moc_QT_Spec.cpp
+	rm -f rlplot
+	rm -f exprlp
 
 ####### Compile
 
@@ -73,7 +91,6 @@
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 moc_QT_Spec.cpp: $(SRCDIR)QT_Spec.h
-#	$(QTDIR)/bin/moc-qt4 $(SRCDIR)QT_Spec.h -o moc_QT_Spec.cpp -DQT_VERSION=0x040000
 	$(MOC) $(SRCDIR)$(QTH) -o moc_QT_Spec.cpp $(MOCFLAGS)
 
 mfcalc.o: $(SRCDIR)mfcalc.cpp
@@ -88,7 +105,7 @@
 exprlp.o: $(SRCDIR)exprlp.cpp
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-QT_Spec.o: $(SRCDIR)QT_Spec.cpp $(SRCDIR)QT_Spec.h $(SRCDIR)rlplot.h
+QT_Spec.o: $(SRCDIR)QT_Spec.cpp $(SRCDIR)QT_Spec.h $(SRCDIR)rlplot.h $(SRCDIR)menu.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
 Output.o: $(SRCDIR)Output.cpp $(SRCDIR)rlplot.h
@@ -133,9 +150,6 @@
 use_gui.o: $(SRCDIR)use_gui.cpp $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-reports.o: $(SRCDIR)reports.cpp $(SRCDIR)rlplot.h
+reports.o: $(SRCDIR)reports.cpp  $(SRCDIR)TheDialog.h $(SRCDIR)rlplot.h
 	$(CC) $(CFLAGS) -o $@ -c $<
 
-
-
-

=== debian/changelog ===
rlplot (1.5-2) unstable; urgency=low

  * QA upload.
  * debian/rlplot.1: Fix "hyphen-used-as-minus-sign".
  * Add DEP3 patch headers.

 -- Olly Betts <olly@survex.com>  Sat, 10 Dec 2011 06:21:01 +0000

rlplot (1.5-1) experimental; urgency=low

  * QA upload.
  * New upstream version. (Closes: #610235)
    + Upstream Makefile "clean" target fixed, so drop our workaround.
  * debian/control:
    + Add ${misc:Depends}, fixing lintian warning.
    + Improve short description.
  * debian/rules: Use dh_install to copy the binaries.

 -- Olly Betts <olly@survex.com>  Tue, 29 Nov 2011 09:58:35 +0000

=== debian/control ===
Source: rlplot
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.50~), libqt4-dev (>= 4.3), libx11-dev (>= 4.3) 
Standards-Version: 3.9.2
Homepage: http://rlplot.sourceforge.net/

Package: rlplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GUI application for generating publication quality graphs
 RLPlot is a GUI based program for displaying scientific data in 
 standard formats. It has full support for all error-bar types and 
 it has greater flexibility with displaying colour and texture in 
 charts than gnuplot (filled bar chart boxes are possible without 
 any additional programs). Output is generated on the X display where 
 further changes can be made to the graph using point and click methods. 
 Images can be exported as scalable vector graphics (SVG) as well as 
 EPS, WMF and TIFF formats.

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,3 @@
 override_dh_installman:
 	dh_installman debian/rlplot.1
 	dh_link usr/share/man/man1/rlplot.1 usr/share/man/man1/exprlp.1
-
-override_dh_auto_clean:
-	# Upstream's Makefile tries to rm moc_QT_Spec.cpp without -f in "clean"
-	# which will fail if that file doesn't exist, so just reimplement it
-	# here and also remove the binaries:
-	rm -f *.o *~ moc_QT_Spec.cpp rlplot exprlp

=== debian/watch ===
version=3
http://sf.net/rlplot/rlplot_(.*)\.tar\.gz
